%define upstream_name    CSS-Packer
%define upstream_version 2.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Another CSS minifier
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CSS/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		CSS-Packer-2.07-fix_content.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Regexp::RegGrp) >= 1.1.1
BuildRequires: perl(Test::File::Contents) >= 0.210.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
A fast pure Perl CSS minifier.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jan 12 2021 rapsys <rapsys> 2.70.0-3.mga8
+ Revision: 1671272
- Fix invalid content parsing replacement
- Fix invalid content parsing replacement

* Fri Feb 14 2020 umeabot <umeabot> 2.70.0-2.mga8
+ Revision: 1520232
- Mageia 8 Mass Rebuild

* Fri Nov 09 2018 tv <tv> 2.70.0-1.mga7
+ Revision: 1329035
- update to 2.07

* Thu Sep 20 2018 umeabot <umeabot> 2.50.0-2.mga7
+ Revision: 1281884
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 shlomif <shlomif> 2.50.0-1.mga7
+ Revision: 1204915
- update to 2.05

* Sat Jul 22 2017 shlomif <shlomif> 2.30.0-1.mga7
+ Revision: 1128448
- update to 2.03

* Sat May 28 2016 shlomif <shlomif> 2.20.0-1.mga6
+ Revision: 1019175
- New version 2.02

* Thu Feb 18 2016 umeabot <umeabot> 2.0.0-2.mga6
+ Revision: 967195
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 shlomif <shlomif> 2.0.0-1.mga6
+ Revision: 848299
- update to 2.00

* Sun Oct 19 2014 umeabot <umeabot> 1.2.1-6.mga5
+ Revision: 790309
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-5.mga5
+ Revision: 741761
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-4.mga5
+ Revision: 683715
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 509570
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 363720
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 1.2.1-1.mga3
+ Revision: 261435
- imported package perl-CSS-Packer

